import { isHmrData } from './hmrData';
describe('isHmrData', () => {
    it('should return false if data is not an object', () => {
        expect(isHmrData(null)).toBe(false);
        expect(isHmrData(undefined)).toBe(false);
        expect(isHmrData(42)).toBe(false);
        expect(isHmrData('string')).toBe(false);
        expect(isHmrData(true)).toBe(false);
    });
    it('should return false if object does not have a "type" property', () => {
        expect(isHmrData({})).toBe(false);
        expect(isHmrData({ someKey: 'someValue' })).toBe(false);
        expect(isHmrData({ anotherKey: 123 })).toBe(false);
    });
    it('should return true if object has a "type" property', () => {
        expect(isHmrData({ type: 'reload' })).toBe(true);
        expect(isHmrData({ type: 'update', extraKey: 'extraValue' })).toBe(true);
    });
});
//# sourceMappingURL=hmrData.spec.js.map